> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve self-certification results for an order

> The endpoint returns self-certification results for employments and accounts that have been reviewed and certified by the user.




## OpenAPI

````yaml GET /v1/orders/{id}/certifications/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/{id}/certifications/:
    parameters:
      - name: id
        in: path
        required: true
        description: Order ID received from the POST request
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
    get:
      tags:
        - Orders
      summary: Retrieve self-certification results for an order
      description: >
        The endpoint returns self-certification results for employments and
        accounts that have been reviewed and certified by the user.
      operationId: orders_certifications_results
      responses:
        '200':
          description: Self-certification results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfCertificationResultsResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
components:
  schemas:
    SelfCertificationResultsResponse:
      type: object
      required:
        - results
      properties:
        results:
          description: List of self-certification results
          type: array
          items:
            type: object
            required:
              - decision
            oneOf:
              - required:
                  - employment
              - required:
                  - account
            properties:
              decision:
                description: Certification decision
                type: string
                enum:
                  - representative
                  - not_representative
                example: representative
              rejection_reason:
                description: Reason for rejection if not representative
                type: string
                enum:
                  - employment_no_longer_active
                  - incorrect_amount
                  - duplicate_entry
                  - outdated_information
                  - other
                nullable: true
                example: incorrect_amount
              rejection_comment:
                description: Additional comment for rejection
                type: string
                maxLength: 2000
                nullable: true
                example: Monthly income below minimum requirement
              employment:
                $ref: '#/components/schemas/SelfCertificationEmployment'
              account:
                $ref: '#/components/schemas/IncomeCertificationAccount'
          example:
            - decision: representative
              employment:
                id: 24d7e80942ce4ad58a93f70ce4115f5c
                start_date: '2018-01-01'
                pay_rate: '25.50'
                pay_date: '2023-12-15'
                company:
                  name: Facebook
            - decision: not_representative
              rejection_reason: incorrect_amount
              rejection_comment: Balance is outdated
              account:
                id: bc917458a3da4b2c8cc8282aa1707aaa
                type: CHECKING
                mask: '1234'
                routing_number: '021000021'
                balance: '1500.25'
                owners:
                  - full_name: John Doe
      description: Self-certification results response
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Error404:
      description: ''
      type: object
      properties:
        detail:
          description: ''
          type: string
          example: Not Found.
    SelfCertificationEmployment:
      required:
        - id
        - company
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        job_type:
          description: |+

            Employee's job type:

            * `F` - Full Time,
            * `P` - Part Time,
            * `S` - Seasonal,
            * `D` - Daily (per diem),
            * `C` - Contract,
            * `V` - Volunteer

          type: string
          example: F
          enum:
            - F
            - P
            - S
            - D
            - C
            - V
        start_date:
          description: Employee's hire date
          type: string
          format: date
          example: '2018-01-01'
          nullable: true
        end_date:
          description: Employee's end date
          type: string
          format: date
          nullable: true
        pay_rate:
          description: Employee's pay rate as decimal string
          type: string
          example: '25.50'
          nullable: true
        pay_date:
          description: Most recent pay date
          type: string
          format: date
          example: '2023-12-15'
          nullable: true
        pay_frequency:
          type: string
          nullable: true
          description: |+

            Pay frequency:

            * `M` - Monthly,
            * `SM` - Semi-Monthly,
            * `W` - Weekly,
            * `BW` - Bi-Weekly,
            * `A` - Annually,
            * `SA` - Semiannually,
            * `C` - Commission

          example: M
          enum:
            - M
            - SM
            - W
            - BW
            - A
            - SA
            - C
        gig:
          description: Gig data if company is a gig provider
          type: object
          nullable: true
          properties:
            monthly_income:
              type: string
              format: decimal
            hours_per_week:
              type: integer
        company:
          type: object
          required:
            - name
          properties:
            name:
              description: Company name
              type: string
              example: Facebook Demo
      description: Self certification employment data
    IncomeCertificationAccount:
      required:
        - id
        - type
        - mask
        - routing_number
        - owners
      type: object
      properties:
        id:
          description: Account ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        mask:
          description: Account number mask
          type: string
          example: '1234'
        routing_number:
          description: Bank routing number
          type: string
          example: '021000021'
        owners:
          description: Account owners
          type: array
          items:
            $ref: '#/components/schemas/IncomeCertificationOwner'
        balance:
          description: Account balance
          type: string
          format: decimal
          example: '1500.25'
          nullable: true
        type:
          description: Account type
          type: string
          example: CHECKING
          enum:
            - CHECKING
            - SAVINGS
            - LOAN
            - CREDIT_CARD
            - INVESTMENT
            - LINE_OF_CREDIT
            - MORTGAGE
            - PROPERTY
            - CASH
            - INSURANCE
            - PREPAID
            - CHECKING_LINE_OF_CREDIT
      description: Income certification account data
    IncomeCertificationOwner:
      required:
        - full_name
      type: object
      properties:
        full_name:
          description: Owner full name
          type: string
          example: John Doe
      description: Income certification account owner data
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````